@php

  use App\Libraries\ejLib;
    $var = ejLib::getInstance();
    $soapclient = $var->getWs();
    $wsClave = $var->get_wsClave();

    $usuario = $_SESSION['operador'];
    $Centro_Sal = $var->desencriptar_AES($usuario['centro_sal'], $usuario['x']);
    $Centro_Sal = trim($Centro_Sal);
    $id_doc = trim( $var->desencriptar_AES($usuario['id_doc'], $usuario['x']) );
    $CLUES_Origen = '';
    $centro_salud = $soapclient->AdministrarCatalogos_get_CentroSalud($Centro_Sal, $CLUES_Origen,$wsClave);
    $CS  = new SimpleXMLElement(utf8_encode($centro_salud));
//print_r($id_doc); die();



    $Nombre =    $var->desencriptar_AES($usuario['nombre_user'], $usuario['x']);
    $Apellido1 = $var->desencriptar_AES($usuario['apellido_user_1er'], $usuario['x']);
    $Apellido2 = $var->desencriptar_AES($usuario['apellido_user_2do'], $usuario['x']);
    $Encargado = trim($Nombre).' '.trim($Apellido1).' '.trim($Apellido2);
@endphp
@extends('layouts.app')

@section('title', 'Reporte de pacientes sin notas médicas en un periodo de tiempo')
@section('breadcrumb')
    <li class="active">Archivo</li>
    <li class="active">Expedientes sin notas médicas</li>
@endsection
@section('styles')
    <style>

  #mnuCtx_Usuarios #tblCTmenu tr:hover{
    font-weight: 600; 
    cursor: pointer;
    color: #00631b;
    font-size: 16px;  
  }

  #mnuCtx_Usuarios #tblCTmenu tr:active{    
    font-size: 16px;    
    background-color: #848587;
    color: #fff;
  }

    </style>
@endsection

<link rel="stylesheet" href="css/bootstrap.css">
<script src="js/jquery-3.1.0.min.js"></script>
<script src="js/notify.js"></script>
<link rel="stylesheet" href="css/smoothness.datepick.css">

<link rel="stylesheet" href="css/jquery.datepick.css">
<script src="js/jquery.datepick.js"></script>
<script src="js/jquery.datepick-es.js"></script>

@section('content')

    <div class="row">
      
       <input type="hidden" name="h_centro_sal" id="h_centro_sal" value="{!! utf8_decode($Centro_Sal) !!}">
       <input type="hidden" name="h_id_complemento" id="h_id_complemento" value="{!! utf8_decode($id_doc) !!}">
        <div class="box box-primary">
              <div class="box-header with-border">
                  <h3 class="box-title">Búsquedas</h3>
                  <div class="box-tools pull-right">
                      <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
                  </div>
              </div>

              <div class="box-body">
                  <div class="row" id="objConsultaNotas" name="objConsultaNotas">

                                        
                     
                      <div class="col-sm-3">
                        <div class="input-group input-group-sm">
                          <span class="input-group-addon" id="sizing-addon3" style="background: #eee">Inicio</span>
                          <input type="text" id="txtFechaIni" name="txtFechaIni" class="form-control" width="100%" height="100%" placeholder="[dd-mm-aaaa]" title="Proporciona la fecha de inicio del rango de búsqueda">
                        </div>
                      </div>
                      <div class="col-sm-3">
                        <div class="input-group input-group-sm">
                          <span class="input-group-addon" id="sizing-addon3" style="background: #eee">Fin</span>
                          <input type="text" id="txtFechaFin" name="txtFechaFin" class="form-control" width="100%" height="100%" placeholder="[dd-mm-aaaa]" title="Proporciona la fecha de cierre del rango de búsqueda">
                        </div>
                      </div>

                      
                     

                      <div class="col-sm-3">
                        <a href="#" id="btn_listar_notas" name="btn_listar_notas" class="btn btn-sm btn-primary"><span class="fa fa-search" aria-hidden="true" title="Buscar referencia"></span> Buscar</a>

                        <a href="administrar-micuenta" class="btn btn-sm  btn-sm btn-danger">Cancelar</a>
                        <a href="#" id="btn_excel_bp" name="btn_excel_bp" class="btn btn-sm  btn-sm btn-success">REPORTE NOMINAL</a>
                      </div>

                  </div>
                  <div id="searchContainer" name="searchContainer"></div>
              </div>




          </div>

          <div class="box box-primary" id="objEditarNota" name="objEditarNota">
          <div class="box-header with-border">
            <h3 class="box-title">Editar Nota</h3>
            <div class="box-tools pull-right">
              <button id="cmdCloseEditSolicitud" name="cmdCloseEditSolicitud" type="button" class="btn btn-box-tool" data-widget="collapse"  aria-pressed="true"><i class="fa fa-minus"></i></button>
            </div>
          </div>
        </div> <?php /* fin de objEditarReferencias */ ?>

        

        <!-- Modal -->

              <div class="modal fade" id="defaultModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
                 <div class="modal-dialog modal-lg" role="document">
                    <div id="modalContent" name="modalContent" class="modal-content">X
                    </div>
                 </div>
              </div>

        <!-- Agregar modal para armar formato de impresión -->
        <!-- agregar iframe, y el iframe agregar en href  -->

           <div class="modal fade" id="objImprimirReferencias" >
            <div class="modal-dialog modal-lg">
              <div class="modal-content">
                <!--Header -->
                  <div class="modal-header">
                    <button tyle="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                     <h4 class="modal-title">
                     <!-- <p>REFERENCIAS</p>-->
                     </h4>
                  </div>
                <!--contenido -->
                   <div class="modal-body" id="modalContenido" name="modalContenido">
                  </div>
                </iframe>
                 <!--Footer -->
                 <div class="modal-footer" style="text-align:center;" >
                 </div>

              </div>
             </div>

           </div>


      </div>

@endsection
<script src="{{asset('js/validar/medicamentos.js')}}"></script> 
@section('scripts')
 
  <script type="text/javascript">

    var reg_seleccionado = {clave_pac: '', id_solicitud: '', clues_origen: '', id_doc: '',  centro_sal: ''};    

    function setInicio() {
      $('#objEditarNota').hide(100);

      $("#mnuCtx_Usuarios").css("display", "none");
    };
    function SmoothScrollTo(id_or_Name, timelength=500){            
      $('html, body').animate({
        scrollTop: $(id_or_Name).offset().top-70
      }, timelength, function(){
        window.location.hash = id_or_Name;
      });
    };

    var ordenamiento = 'asc';

    function sortTable(obj, n, type) {
      var table, rows, switching, i, x, y, shouldSwitch, dir, switchcount = 0;
      table = document.getElementById(obj);
      switching = true;
      
      dir = "asc"; 
      
      while (switching) {
        
        switching = false;
        rows = table.rows;
        
        for (i = 1; i < (rows.length - 1); i++) {
          
          shouldSwitch = false;          
          x = rows[i].getElementsByTagName("TD")[n];
          y = rows[i + 1].getElementsByTagName("TD")[n];
          
          if(type == 2){
            if (dir == "asc") {
              if (x.innerHTML.toLowerCase() > y.innerHTML.toLowerCase()) {      
                shouldSwitch= true;
                break;
              }
            } else if (dir == "desc") {
              if (x.innerHTML.toLowerCase() < y.innerHTML.toLowerCase()) {
        
                shouldSwitch = true;
                break;
              }
            }
          }else{
            if (dir == "asc") {
              if (Number(x.innerHTML) > Number(y.innerHTML)) {
                shouldSwitch= true;
                break;
              }
            } else if (dir == "desc") {
              if (Number(x.innerHTML) < Number(y.innerHTML)) {        
                shouldSwitch = true;
                break;
              }
            }
          }
          
        }
        if (shouldSwitch) {
          /*If a switch has been marked, make the switch
          and mark that a switch has been done:*/
          rows[i].parentNode.insertBefore(rows[i + 1], rows[i]);
          switching = true;
          //Each time a switch is done, increase this count by 1:
          switchcount ++;      
        } else {
          /*If no switching has been done AND the direction is "asc",
          set the direction to "desc" and run the while loop again.*/
          if (switchcount == 0 && dir == "asc") {
            dir = "desc";
            switching = true;
          }
        }
      }
    };

    


    $(document).ready(function(){
      setTimeout(setInicio, 500);
      $('#txtFechaIni').datepick({dateFormat: 'dd-mm-yyyy'});
      $('#txtFechaFin').datepick({dateFormat: 'dd-mm-yyyy'});
      
      

    });

    $(document).on("click", "#btn_listar_notas", function(){  
     
       
        if ($('#objConsultaNotas'+' #txtFechaIni').val() =='') {
          $.notify('Favor de capturar fecha de inicio');
           $('#objConsultaNotas #txtFechaIni').focus();
          return false;
        }

        if ($('#objConsultaNotas'+' #txtFechaFin').val() =='') {
          $.notify('Favor de capturar fecha de cierre');
           $('#objConsultaNotas #txtFechaFin').focus();
          return false;
        }

         var parametros = {        
           fecha_inicio: $('#objConsultaNotas'+' #txtFechaIni').val(),
           fecha_termino: $('#objConsultaNotas'+' #txtFechaFin').val(),
           centro_sal: '{!! $Centro_Sal !!}'
          };   
         
         jqGetAjaxShort("Archivo_getLstExpedientes_sinNotas","searchContainer", parametros);
        
    });

     $('#btn_excel_bp').click(function(){    
        
      if ($('#objConsultaNotas'+' #txtFechaIni').val() =='') {
          $.notify('Favor de capturar fecha de inicio');
           $('#objConsultaNotas #txtFechaIni').focus();
          return false;
        }

        if ($('#objConsultaNotas'+' #txtFechaFin').val() =='') {
          $.notify('Favor de capturar fecha de cierre');
           $('#objConsultaNotas #txtFechaFin').focus();
          return false;
        }

         var parametros = {        
           fecha_inicio: $('#objConsultaNotas'+' #txtFechaIni').val(),
           fecha_termino: $('#objConsultaNotas'+' #txtFechaFin').val(),
           centro_sal: '{!! $Centro_Sal !!}'
          }; 

        openWindowWithPostRequest('Archivo_getLstExpedientes_sinNotas_csv',parametros, 'resizable=no,height=200,width=200,location=0,menubar=0,scrollbars=0', true);        

      });
   

 
  </script>

@endsection
